package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;

import com.gic.haoban.manage.service.entity.TabHaobanMaidianDictModule;

public interface TabHaobanMaidianDictModuleMapper {
    int deleteByPrimaryKey(String moduleId);

    int insert(TabHaobanMaidianDictModule record);

    int insertSelective(TabHaobanMaidianDictModule record);

    TabHaobanMaidianDictModule selectByPrimaryKey(String moduleId);

    int updateByPrimaryKeySelective(TabHaobanMaidianDictModule record);

    int updateByPrimaryKey(TabHaobanMaidianDictModule record);
    
    List<TabHaobanMaidianDictModule> list();

}